Bug 584423 - Create a beaker config directory rather then a single file
Create a beaker config directory rather then a single file
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
0.5
All Linux
low Severity medium (vote)
: 0.5.48
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-21 10:45 EDT by Petr Šplíchal
Modified: 2016-07-11 23:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-16 15:36:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2010-04-21 10:45:07 EDT
Description of problem:

Currently the bkr command uses the "~/.beaker" file for saving
user configuration. As there are more beaker tools expected to
have a config files stored somewhere it would be nice to have them
together in a single place (dir).

For example current rhts-wizard now saves user preferences in
.rhts/wizard. Future workflows may want to save some of the
default values on similar place. Let's create a common .beaker
folder where all config files will be placed.
Comment 1 Bill Peck 2010-06-16 15:36:21 EDT
I implemented ~/.beaker_client/

Note You need to log in before you can comment on or make changes to this bug.